Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(34)

Issue 2823523003: [Page Load Metrics] PageLoadMetrics Mojofication. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months ago by lpy
Modified:
2 months, 3 weeks ago
CC:
Aaron Boodman, abarth-chromium, chromium-reviews, csharrison+watch_chromium.org, darin (slow to review), loading-reviews+metrics_chromium.org, qsr+mojo_chromium.org, speed-metrics-reviews_chromium.org, viettrungluu+watch_chromium.org, yzshen+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[Page Load Metrics] PageLoadMetrics Mojofication. This patch 1. Adds mojo pipeline; 2. Adds Finch Trial check to toggle mojo IPC; 3. Modifies browser tests to be parameterized for mojo IPC. The PageLoadMetrics mojo interface defines a UpdateTiming interface that is implemented by MetricsWebContentsObserver. PageLoadMetrics is sensitive to IPC ordering, thus MetricsWebContentsObserver holds a WebContentsFrameBindingSet that is used to bind associated interface together with RenderFrameHost, and it shares the legacy IPC channel so that we make sure we don't break IPC ordering. BUG=709259, 712915 Review-Url: https://codereview.chromium.org/2823523003 Cr-Commit-Position: refs/heads/master@{#473663} Committed: https://chromium.googlesource.com/chromium/src/+/a44af8f558766ab8c6b65fff8be4b1ef1a5f903b

Patch Set 1 #

Patch Set 2 : Mock PageLoadMetrics in browsertest to intercept mojo IPC. #

Patch Set 3 : Add Finch trial check and rebase #

Total comments: 10

Patch Set 4 : Update #

Total comments: 8

Patch Set 5 : [DO NOT COMMENT]FieldTrial on waterfall #

Patch Set 6 : Add browser test for mojofication. #

Total comments: 37

Patch Set 7 : Addressed comments, remove unnecessary RunUntilIdle, call OnTimingUpdated directly in unit tests #

Total comments: 23

Patch Set 8 : update #

Patch Set 9 : rebase #

Total comments: 8

Patch Set 10 : Add unit test for page_load_metrics_struct_traits #

Total comments: 17

Patch Set 11 : Addressed comments #

Total comments: 2

Patch Set 12 : Update PageTimingSender API #

Patch Set 13 : Fix tests #

Patch Set 14 : Fix tests #

Patch Set 15 : Rebase and merge browsertest. #

Patch Set 16 : rebase #

Total comments: 19

Patch Set 17 : addressed comments #

Total comments: 4

Patch Set 18 : Addressed comments and rebased #

Total comments: 1

Patch Set 19 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+442 lines, -233 lines) Patch
M chrome/browser/chrome_content_browser_manifest_overlay.json View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/page_load_metrics/metrics_web_contents_observer.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 6 chunks +19 lines, -1 line 0 comments Download
M chrome/browser/page_load_metrics/metrics_web_contents_observer.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 5 chunks +28 lines, -2 lines 0 comments Download
M chrome/browser/page_load_metrics/page_load_metrics_browsertest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 35 chunks +124 lines, -37 lines 0 comments Download
M chrome/common/chrome_features.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/common/chrome_features.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/common/page_load_metrics/OWNERS View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +1 line, -1 line 0 comments Download
M chrome/common/page_load_metrics/page_load_metrics.mojom View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +1 line, -1 line 0 comments Download
M chrome/renderer/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 2 chunks +2 lines, -0 lines 0 comments Download
D chrome/renderer/page_load_metrics/fake_page_timing_metrics_ipc_sender.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +0 lines, -73 lines 0 comments Download
D chrome/renderer/page_load_metrics/fake_page_timing_metrics_ipc_sender.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +0 lines, -54 lines 0 comments Download
A chrome/renderer/page_load_metrics/fake_page_timing_sender.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 1 chunk +75 lines, -0 lines 0 comments Download
A chrome/renderer/page_load_metrics/fake_page_timing_sender.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +53 lines, -0 lines 0 comments Download
M chrome/renderer/page_load_metrics/metrics_render_frame_observer.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 2 chunks +5 lines, -3 lines 0 comments Download
M chrome/renderer/page_load_metrics/metrics_render_frame_observer.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 4 chunks +55 lines, -1 line 0 comments Download
M chrome/renderer/page_load_metrics/metrics_render_frame_observer_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 4 chunks +7 lines, -9 lines 0 comments Download
M chrome/renderer/page_load_metrics/page_timing_metrics_sender.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 2 chunks +5 lines, -9 lines 0 comments Download
M chrome/renderer/page_load_metrics/page_timing_metrics_sender.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 4 chunks +7 lines, -11 lines 0 comments Download
M chrome/renderer/page_load_metrics/page_timing_metrics_sender_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 7 chunks +28 lines, -29 lines 0 comments Download
A chrome/renderer/page_load_metrics/page_timing_sender.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 1 chunk +23 lines, -0 lines 0 comments Download
M chrome/test/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 1 chunk +2 lines, -2 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 197 (142 generated)
lpy
First round, ptal.
4 months ago (2017-04-15 00:26:24 UTC) #4
lpy
I updated the patch with Finch Trial changes that we are going to roll out. ...
4 months ago (2017-04-19 00:28:29 UTC) #35
Zhen Wang
In the description, it mentioned that this CL adds the finch trial. I think it ...
4 months ago (2017-04-19 18:49:54 UTC) #36
Zhen Wang
https://codereview.chromium.org/2823523003/diff/100001/chrome/browser/page_load_metrics/metrics_web_contents_observer.cc File chrome/browser/page_load_metrics/metrics_web_contents_observer.cc (right): https://codereview.chromium.org/2823523003/diff/100001/chrome/browser/page_load_metrics/metrics_web_contents_observer.cc#newcode589 chrome/browser/page_load_metrics/metrics_web_contents_observer.cc:589: OnTimingUpdated(render_frame_host, timing, metadata); On 2017/04/19 18:49:54, Zhen Wang wrote: ...
4 months ago (2017-04-19 18:56:31 UTC) #37
lpy
Talked offline. To clarify how Finch works here. If I understand correctly we don't need ...
4 months ago (2017-04-19 21:05:05 UTC) #39
Zhen Wang
https://codereview.chromium.org/2823523003/diff/100001/chrome/renderer/page_load_metrics/metrics_render_frame_observer.cc File chrome/renderer/page_load_metrics/metrics_render_frame_observer.cc (right): https://codereview.chromium.org/2823523003/diff/100001/chrome/renderer/page_load_metrics/metrics_render_frame_observer.cc#newcode49 chrome/renderer/page_load_metrics/metrics_render_frame_observer.cc:49: page_load_metrics_->UpdateTiming(timing, metadata); On 2017/04/19 21:05:05, lpy wrote: > On ...
4 months ago (2017-04-19 21:52:47 UTC) #42
lpy
On 2017/04/19 21:52:47, Zhen Wang wrote: > Should this and the above IPC one be ...
4 months ago (2017-04-20 01:49:24 UTC) #45
lpy
> https://codereview.chromium.org/2823523003/diff/120001/chrome/renderer/page_load_metrics/page_timing_metrics_sender.cc > File chrome/renderer/page_load_metrics/page_timing_metrics_sender.cc (right): > > https://codereview.chromium.org/2823523003/diff/120001/chrome/renderer/page_load_metrics/page_timing_metrics_sender.cc#newcode88 > chrome/renderer/page_load_metrics/page_timing_metrics_sender.cc:88: > ipc_sender_->Send(new PageLoadMetricsMsg_TimingUpdated( > ...
4 months ago (2017-04-20 01:59:18 UTC) #46
lpy
On 2017/04/20 01:49:24, lpy wrote: > One thing I am not sure is that whether ...
4 months ago (2017-04-20 05:25:21 UTC) #51
lpy
PTAL. I added extra browser tests for mojofication. The reason I didn't add it to ...
3 months, 4 weeks ago (2017-04-20 22:09:43 UTC) #59
Bryan McQuade
On 2017/04/20 at 22:09:43, lpy wrote: > PTAL. > > I added extra browser tests ...
3 months, 3 weeks ago (2017-04-24 21:31:51 UTC) #63
Bryan McQuade
great, i see we have the feature support in place to finch this already. here ...
3 months, 3 weeks ago (2017-04-24 21:50:56 UTC) #64
lpy
+rockot@ for mojo review and mojo related questions. Ken, could you please take a look ...
3 months, 3 weeks ago (2017-04-25 09:03:38 UTC) #66
Bryan McQuade
Thanks again for taking this change on! A few more comments / questions. https://codereview.chromium.org/2823523003/diff/180001/chrome/browser/chrome_content_browser_manifest_overlay.json File ...
3 months, 3 weeks ago (2017-04-25 15:41:14 UTC) #67
Ken Rockot(use gerrit already)
https://codereview.chromium.org/2823523003/diff/180001/chrome/browser/chrome_content_browser_manifest_overlay.json File chrome/browser/chrome_content_browser_manifest_overlay.json (right): https://codereview.chromium.org/2823523003/diff/180001/chrome/browser/chrome_content_browser_manifest_overlay.json#newcode34 chrome/browser/chrome_content_browser_manifest_overlay.json:34: "navigation:frame": { On 2017/04/25 at 15:41:13, Bryan McQuade wrote: ...
3 months, 3 weeks ago (2017-04-25 19:31:46 UTC) #68
Bryan McQuade
https://codereview.chromium.org/2823523003/diff/180001/chrome/common/page_load_metrics/page_load_metrics.mojom File chrome/common/page_load_metrics/page_load_metrics.mojom (right): https://codereview.chromium.org/2823523003/diff/180001/chrome/common/page_load_metrics/page_load_metrics.mojom#newcode9 chrome/common/page_load_metrics/page_load_metrics.mojom:9: // See comments in page_load_timing.h for details on each ...
3 months, 3 weeks ago (2017-04-26 01:55:42 UTC) #69
Ken Rockot(use gerrit already)
https://codereview.chromium.org/2823523003/diff/180001/chrome/common/page_load_metrics/page_load_metrics.mojom File chrome/common/page_load_metrics/page_load_metrics.mojom (right): https://codereview.chromium.org/2823523003/diff/180001/chrome/common/page_load_metrics/page_load_metrics.mojom#newcode9 chrome/common/page_load_metrics/page_load_metrics.mojom:9: // See comments in page_load_timing.h for details on each ...
3 months, 3 weeks ago (2017-04-26 03:08:01 UTC) #70
lpy
Thanks for the feedback, I made a few updates, ptal. https://codereview.chromium.org/2823523003/diff/180001/chrome/browser/page_load_metrics/metrics_web_contents_observer.cc File chrome/browser/page_load_metrics/metrics_web_contents_observer.cc (left): https://codereview.chromium.org/2823523003/diff/180001/chrome/browser/page_load_metrics/metrics_web_contents_observer.cc#oldcode67 ...
3 months, 3 weeks ago (2017-04-26 14:18:41 UTC) #73
Bryan McQuade
a couple more questions/comments, thanks! https://codereview.chromium.org/2823523003/diff/200001/chrome/common/page_load_metrics/page_load_metrics.mojom File chrome/common/page_load_metrics/page_load_metrics.mojom (right): https://codereview.chromium.org/2823523003/diff/200001/chrome/common/page_load_metrics/page_load_metrics.mojom#newcode42 chrome/common/page_load_metrics/page_load_metrics.mojom:42: DocumentTiming document_timing; In looking ...
3 months, 3 weeks ago (2017-04-26 15:24:23 UTC) #76
Ken Rockot(use gerrit already)
https://codereview.chromium.org/2823523003/diff/200001/chrome/common/page_load_metrics/page_load_metrics.mojom File chrome/common/page_load_metrics/page_load_metrics.mojom (right): https://codereview.chromium.org/2823523003/diff/200001/chrome/common/page_load_metrics/page_load_metrics.mojom#newcode42 chrome/common/page_load_metrics/page_load_metrics.mojom:42: DocumentTiming document_timing; On 2017/04/26 at 15:24:22, Bryan McQuade wrote: ...
3 months, 3 weeks ago (2017-04-26 15:28:45 UTC) #77
Bryan McQuade
On 2017/04/26 at 15:28:45, rockot wrote: > https://codereview.chromium.org/2823523003/diff/200001/chrome/common/page_load_metrics/page_load_metrics.mojom > File chrome/common/page_load_metrics/page_load_metrics.mojom (right): > > https://codereview.chromium.org/2823523003/diff/200001/chrome/common/page_load_metrics/page_load_metrics.mojom#newcode42 ...
3 months, 3 weeks ago (2017-04-26 15:50:06 UTC) #78
Ken Rockot(use gerrit already)
On 2017/04/26 at 15:50:06, bmcquade wrote: > On 2017/04/26 at 15:28:45, rockot wrote: > > ...
3 months, 3 weeks ago (2017-04-26 15:55:03 UTC) #79
Bryan McQuade
https://codereview.chromium.org/2823523003/diff/200001/chrome/browser/page_load_metrics/metrics_web_contents_observer_unittest.cc File chrome/browser/page_load_metrics/metrics_web_contents_observer_unittest.cc (right): https://codereview.chromium.org/2823523003/diff/200001/chrome/browser/page_load_metrics/metrics_web_contents_observer_unittest.cc#newcode13 chrome/browser/page_load_metrics/metrics_web_contents_observer_unittest.cc:13: #include "base/run_loop.h" can remove this include https://codereview.chromium.org/2823523003/diff/200001/chrome/browser/page_load_metrics/observers/page_load_metrics_observer_test_harness.cc File chrome/browser/page_load_metrics/observers/page_load_metrics_observer_test_harness.cc ...
3 months, 3 weeks ago (2017-04-26 16:04:34 UTC) #80
Ken Rockot(use gerrit already)
https://codereview.chromium.org/2823523003/diff/200001/chrome/browser/page_load_metrics/page_load_metrics_mojofication_browsertest.cc File chrome/browser/page_load_metrics/page_load_metrics_mojofication_browsertest.cc (right): https://codereview.chromium.org/2823523003/diff/200001/chrome/browser/page_load_metrics/page_load_metrics_mojofication_browsertest.cc#newcode178 chrome/browser/page_load_metrics/page_load_metrics_mojofication_browsertest.cc:178: void AddObserver(PageLoadTimingObserver* observer) { On 2017/04/26 at 16:04:34, Bryan ...
3 months, 3 weeks ago (2017-04-26 16:11:42 UTC) #81
Bryan McQuade
On 2017/04/26 at 16:11:42, rockot wrote: > https://codereview.chromium.org/2823523003/diff/200001/chrome/browser/page_load_metrics/page_load_metrics_mojofication_browsertest.cc > File chrome/browser/page_load_metrics/page_load_metrics_mojofication_browsertest.cc (right): > > https://codereview.chromium.org/2823523003/diff/200001/chrome/browser/page_load_metrics/page_load_metrics_mojofication_browsertest.cc#newcode178 ...
3 months, 3 weeks ago (2017-04-26 16:31:22 UTC) #82
Bryan McQuade
On 2017/04/26 at 16:31:22, Bryan McQuade wrote: > On 2017/04/26 at 16:11:42, rockot wrote: > ...
3 months, 3 weeks ago (2017-04-26 16:32:03 UTC) #83
Ken Rockot(use gerrit already)
I wouldn't recommend it. Filters are applied pre-deserialization, so you'd have to manually inspect the ...
3 months, 3 weeks ago (2017-04-26 16:33:49 UTC) #84
Bryan McQuade
Thanks! I appreciate your helping us to work through this. I'll spend a little time ...
3 months, 3 weeks ago (2017-04-26 16:57:03 UTC) #85
Bryan McQuade
https://codereview.chromium.org/2823523003/diff/200001/chrome/browser/page_load_metrics/page_load_metrics_mojofication_browsertest.cc File chrome/browser/page_load_metrics/page_load_metrics_mojofication_browsertest.cc (right): https://codereview.chromium.org/2823523003/diff/200001/chrome/browser/page_load_metrics/page_load_metrics_mojofication_browsertest.cc#newcode178 chrome/browser/page_load_metrics/page_load_metrics_mojofication_browsertest.cc:178: void AddObserver(PageLoadTimingObserver* observer) { On 2017/04/26 at 16:11:41, Ken ...
3 months, 3 weeks ago (2017-04-26 20:41:51 UTC) #86
lpy
I updated the patch, ptal. https://codereview.chromium.org/2823523003/diff/200001/chrome/browser/page_load_metrics/metrics_web_contents_observer_unittest.cc File chrome/browser/page_load_metrics/metrics_web_contents_observer_unittest.cc (right): https://codereview.chromium.org/2823523003/diff/200001/chrome/browser/page_load_metrics/metrics_web_contents_observer_unittest.cc#newcode13 chrome/browser/page_load_metrics/metrics_web_contents_observer_unittest.cc:13: #include "base/run_loop.h" On 2017/04/26 ...
3 months, 3 weeks ago (2017-04-27 10:58:35 UTC) #89
Bryan McQuade
Thanks! I landed the refactor to break test deps on IPC. Can you sync and ...
3 months, 3 weeks ago (2017-04-27 15:42:32 UTC) #96
Bryan McQuade
On 2017/04/27 at 15:42:32, Bryan McQuade wrote: > Thanks! I landed the refactor to break ...
3 months, 3 weeks ago (2017-04-27 16:01:39 UTC) #97
lpy
On 2017/04/27 15:42:32, Bryan McQuade wrote: > Thanks! I landed the refactor to break test ...
3 months, 3 weeks ago (2017-04-27 16:07:00 UTC) #98
Ken Rockot(use gerrit already)
On 2017/04/27 at 15:42:32, bmcquade wrote: > Thanks! I landed the refactor to break test ...
3 months, 3 weeks ago (2017-04-27 16:07:10 UTC) #99
Bryan McQuade
On 2017/04/27 at 16:07:10, rockot wrote: > On 2017/04/27 at 15:42:32, bmcquade wrote: > > ...
3 months, 3 weeks ago (2017-04-27 16:25:32 UTC) #100
lpy
I rebased the patch, ptal.
3 months, 2 weeks ago (2017-05-03 13:30:37 UTC) #115
Ken Rockot(use gerrit already)
I have nothing new to add so FWIW this LGTM
3 months, 2 weeks ago (2017-05-03 17:38:23 UTC) #116
Bryan McQuade
Thanks! Here are a couple comments. Looks like some of my comments from earlier rounds ...
3 months, 2 weeks ago (2017-05-03 19:03:05 UTC) #117
lpy
I addressed the latest comments and updated the patch. I need to think about the ...
3 months, 2 weeks ago (2017-05-05 17:49:31 UTC) #123
Bryan McQuade
Thanks! Here are a few more comments. RE: the PageTimingSender refactor, I think that'll help ...
3 months, 1 week ago (2017-05-07 19:44:41 UTC) #124
Bryan McQuade
https://codereview.chromium.org/2823523003/diff/300001/chrome/browser/page_load_metrics/metrics_web_contents_observer.cc File chrome/browser/page_load_metrics/metrics_web_contents_observer.cc (right): https://codereview.chromium.org/2823523003/diff/300001/chrome/browser/page_load_metrics/metrics_web_contents_observer.cc#newcode617 chrome/browser/page_load_metrics/metrics_web_contents_observer.cc:617: content::RenderFrameHost* render_frame_host = can we DCHECK that the mojofication ...
3 months, 1 week ago (2017-05-07 19:48:13 UTC) #125
lpy
https://codereview.chromium.org/2823523003/diff/300001/chrome/browser/page_load_metrics/metrics_web_contents_observer.cc File chrome/browser/page_load_metrics/metrics_web_contents_observer.cc (right): https://codereview.chromium.org/2823523003/diff/300001/chrome/browser/page_load_metrics/metrics_web_contents_observer.cc#newcode617 chrome/browser/page_load_metrics/metrics_web_contents_observer.cc:617: content::RenderFrameHost* render_frame_host = On 2017/05/07 19:48:13, Bryan McQuade wrote: ...
3 months, 1 week ago (2017-05-08 18:38:33 UTC) #128
Bryan McQuade
Thanks! I think all that's left here is to refactor to have implementations of PageTimingSender ...
3 months, 1 week ago (2017-05-08 21:13:29 UTC) #131
lpy
I updated the PageTimingSender API, ptal. https://codereview.chromium.org/2823523003/diff/320001/chrome/browser/page_load_metrics/metrics_web_contents_observer.h File chrome/browser/page_load_metrics/metrics_web_contents_observer.h (right): https://codereview.chromium.org/2823523003/diff/320001/chrome/browser/page_load_metrics/metrics_web_contents_observer.h#newcode157 chrome/browser/page_load_metrics/metrics_web_contents_observer.h:157: void OnUpdateTiming(content::RenderFrameHost* render_frame_host, ...
3 months, 1 week ago (2017-05-09 17:07:24 UTC) #144
lpy
ping for review.
3 months, 1 week ago (2017-05-09 20:54:07 UTC) #150
lpy
I rebased the patch, ptal.
3 months ago (2017-05-18 23:01:35 UTC) #166
Bryan McQuade
Thanks! This is much easier to review with the initial mojo change landed. Basically looks ...
3 months ago (2017-05-19 14:06:19 UTC) #174
lpy
Thanks, I updated the patch. +Tom@ for security review on mojo, please take a look. ...
3 months ago (2017-05-19 23:52:39 UTC) #176
Tom Sepez
lgtm RS - I saw only cosmetic changes in .mojom plus one manifest.
3 months ago (2017-05-20 00:07:23 UTC) #179
Bryan McQuade
LGTM, thanks! Just a couple small things. https://codereview.chromium.org/2823523003/diff/480001/chrome/renderer/page_load_metrics/metrics_render_frame_observer.cc File chrome/renderer/page_load_metrics/metrics_render_frame_observer.cc (right): https://codereview.chromium.org/2823523003/diff/480001/chrome/renderer/page_load_metrics/metrics_render_frame_observer.cc#newcode52 chrome/renderer/page_load_metrics/metrics_render_frame_observer.cc:52: content::RenderFrame* render_frame_ ...
3 months ago (2017-05-20 00:09:53 UTC) #180
lpy
Thanks, I addressed your comments, will land this after trybot goes green. https://codereview.chromium.org/2823523003/diff/480001/chrome/renderer/page_load_metrics/metrics_render_frame_observer.cc File chrome/renderer/page_load_metrics/metrics_render_frame_observer.cc ...
3 months ago (2017-05-20 00:16:00 UTC) #183
Bryan McQuade
https://codereview.chromium.org/2823523003/diff/500001/chrome/renderer/page_load_metrics/metrics_render_frame_observer.cc File chrome/renderer/page_load_metrics/metrics_render_frame_observer.cc (right): https://codereview.chromium.org/2823523003/diff/500001/chrome/renderer/page_load_metrics/metrics_render_frame_observer.cc#newcode52 chrome/renderer/page_load_metrics/metrics_render_frame_observer.cc:52: content::RenderFrame* const render_frame_; ah, thanks, it's been a while ...
3 months ago (2017-05-20 00:29:46 UTC) #184
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2823523003/520001
2 months, 3 weeks ago (2017-05-22 19:48:44 UTC) #193
commit-bot: I haz the power
Committed patchset #19 (id:520001) as https://chromium.googlesource.com/chromium/src/+/a44af8f558766ab8c6b65fff8be4b1ef1a5f903b
2 months, 3 weeks ago (2017-05-22 19:54:10 UTC) #196
lpy
2 months, 3 weeks ago (2017-05-24 05:49:54 UTC) #197
Message was sent while issue was closed.
A revert of this CL (patchset #19 id:520001) has been created in
https://codereview.chromium.org/2897243002/ by lpy@chromium.org.

The reason for reverting is: Revert this patch due to windows crash and we are
at the corner of branch day..
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b